## glide mcp-0.1.2

=== requirements.txt ===
# Core dependencies - only what your code actually imports
black>=25.9.0
cerebras-cloud-sdk>=1.56.1
fastmcp>=2.12.5
helix-py>=0.2.30
numpy>=2.3.4
pytest>=8.4.2
pytest-asyncio>=1.2.0
python-dotenv>=1.1.1

## glide 2001.01.26-1.1

=== debian/changelog ===
glide (2001.01.26-1.1) unstable; urgency=low

  * NMU with permission of Zephaniah E. Hull <warp@debian.org>.
  * Corrected the build dependencies. (closes: #88373)
  * Updated libtool in glide3x (to get the package building).

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 17 Jun 2001 23:20:42 +0200

glide (2001.01.26-1) unstable; urgency=high

  * Updated source.
  * Completely killed sst1 support, it has been broken too long.
    (closes: #79204, #74510)

 -- Zephaniah E. Hull <warp@debian.org>  Fri, 26 Jan 2001 07:16:01 -0500

glide (2000.11.02.06-1) unstable; urgency=low

  * Some rules cleanup.
  * sst1 works again! (closes: #74510, #74681)
  * Politely handle the case where someone might be compiling against
    glide, and thus will have the glide packages installed without 
    having a 3Dfx card in the system. (closes: #77381)
  * Noted that I seem to have fixed bugs in the past and not closed the
    reports. (closes: #70612, #70857)

 -- Zephaniah E. Hull <warp@debian.org>  Mon, 27 Nov 2000 06:49:32 -0500

glide (2000.11.02.06) unstable; urgency=low

  * And roughly five and a half hours later..
  * Updated the glide3x source, specificly fixing a bashism in 
    chores.3dfx, which I just commited to upstream CVS.
  * Fixed a bashism in debian/scripts/vars.build.
  * Thanks to Timshel Knoll for both patches.

 -- Zephaniah E. Hull <warp@debian.org>  Fri,  3 Nov 2000 06:30:56 -0500

glide (2000.11.02) unstable; urgency=low

  * The merge! We now have ONE source package!
  * Still trying to figure out how not to loose the glide3 changelog.

 -- Zephaniah E. Hull <warp@debian.org>  Fri,  3 Nov 2000 01:06:51 -0500

glide2 (2000.08.08.1) unstable; urgency=low

  * Now against X4.
  * Hopefully the next upload will have glide2 and glide3 merged source
    package wise.
  * No upstream source changes, mostly just a recompile, thus the 
    version.

 -- Zephaniah E. Hull <warp@debian.org>  Thu,  2 Nov 2000 04:50:02 -0500

glide2 (2000.08.08) unstable; urgency=low

  * New packaging setup! Now as a debian native package.
  * Many of my patches are now in the glide2 CVS tree.
  * Please not that sst1 /is/ broken at this time.
  * Sepirate tarballs for swlibs and glide2, yes, there is a reason.

 -- Zephaniah E. Hull <warp@debian.org>  Sun,  8 Oct 2000 06:13:41 -0400

glide2 (2.cvs.20000712-4) unstable; urgency=low

  * Killed the libglide.so symlink, per request.
  * Really truely fixed the debconf issues, joeyh fixed a bug in debconf
    so that things did not freeze solid in my perfectly valid case.

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 20 Sep 2000 21:48:08 -0400

glide2 (2.cvs.20000712-3) unstable; urgency=low

  * Little fixes with debconf stuff.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 24 Aug 2000 05:23:08 -0400

glide2 (2.cvs.20000712-2) unstable; urgency=low

  * /All/ packages need to conflict with the old packages..
  * Default to the V3 lib if no voodoo cards exist.

 -- Zephaniah E. Hull <warp@debian.org>  Thu, 24 Aug 2000 04:11:43 -0400

glide2 (2.cvs.20000712-1) unstable; urgency=low

  * Completely repackaged all of glide2 from cvs.

 -- Zephaniah E. Hull <warp@debian.org>  Tue,  8 Aug 2000 04:12:51 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: glide
Section: libs
Priority: optional
Build-depends: debhelper (>> 2.0.0), csh, xlibs-dev, automake, libtool
Maintainer: Zephaniah E. Hull <warp@debian.org>
Standards-Version: 3.0.1

Package: glide2-bin
Architecture: i386
Section: graphics
Depends: ${shlibs:Depends}, libglide2, debconf
Conflicts: libglide2-vg, libglide2-v2, libglide2-v3, glide-v3
Suggests: device3dfx-source, device3dfx-module
Description: Binaries for glide2.
 This is a support package which should be installed if you have a
 card based on 3dfx Interactive, Inc's Voodoo chipsets.

Package: libglide2
Section: libs
Architecture: i386
Depends: ${shlibs:Depends}, pciutils, debconf (>= 0.3.74)
Conflicts: libglide2, libglide2-vg, libglide2-v2, libglide2-v3, glide-v3
Recommends: glide2-bin, device3dfx-source
Suggests: device3dfx-module
Description: Graphics library for 3Dfx Voodoo based cards
 This package allows you to use the 3D functions of cards based on
 3dfx Interactive, Inc's Voodoo 2, Voodoo Banshee, and Voodoo 3 
 chipsets.  You should install it if you have such a card.
 .
 Note, this is NOT the package you want for a Voodoo 4, or Voodoo 5.
 .
 Also note that for the moment the original Voodoo Graphics chipset
 is no longer supported.
 .
 NOTE: You'll need the /dev/3dfx kernel driver to use this library.

Package: libglide2-dev
Provides: libglide-dev
Conflicts: llibglide-dev, glide2x-sdk, libglide2-vg, libglide2-v2, libglide2-v3, glide-v3
Section: devel
Architecture: i386
Depends: libglide2, debconf
Description: development files for libglide2
 This package contains the necessary header files, example programs,
 and documentation necessary to develop software for cards based on
 3dfx Interactive, Inc's Voodoo chipsets.

Package: glide2-base
Section: graphics
Architecture: i386
Depends: libglide2, glide2-bin, debconf
Conflicts: libglide2-vg, libglide2-v2, libglide2-v3, glide-v3
Description: Legacy package that you should remove.
 This package exists only to provide smooth upgrades.  Please remove it.

Package: libglide3
Section: libs
Architecture: i386
Depends: ${shlibs:Depends}, pciutils, debconf (>= 0.3.74)
Conflicts: libglide3
Recommends: device3dfx-source
Suggests: device3dfx-module
Description: Graphics library for 3Dfx Voodoo based cards
 This package allows you to use the 3D functions of cards based on
 3dfx Interactive, Inc's Voodoo 3, Voodoo 4, and Voodoo 5, chipsets.
 You should install it if you have such a card.
 .
 NOTE: You'll need the /dev/3dfx kernel driver to use this library.

Package: libglide3-dev
Provides: libglide-dev
Conflicts: glide2x-sdk, glide3x-sdk
Replaces: libglide2-dev
Section: devel
Architecture: i386
Depends: libglide3
Description: development files for libglide3
 This package contains the necessary header files, example programs,
 and documentation necessary to develop software for cards based on
 3dfx Interactive, Inc's Voodoo chipsets.

=== debian/rules ===
#!/usr/bin/make -f
export DH_COMPAT = 2
#export DH_VERBOSE = 1
export FX_GLIDE_PIC = 1
this = make -f debian/rules

include debian/scripts/vars
SRC_DIR=$(SOURCE_DIR)

$(SRC_DIR)/glide2x: $(STAMP_DIR)/SCR_DIR_glide2x
$(STAMP_DIR)/SCR_DIR_glide2x:
	$(MAKE) -f debian/sys-build.mk source.make
	cd $(SRC_DIR)/glide2x; ln -s ../swlibs swlibs
	cd $(SRC_DIR)/glide3x; ln -s ../swlibs swlibs
	touch $(STAMP_DIR)/SCR_DIR_glide2x

$(SRC_DIR)/glide3x: $(STAMP_DIR)/SCR_DIR_glide3x
$(STAMP_DIR)/SCR_DIR_glide3x:
	cd $(SRC_DIR)/glide3x; ln -s ../swlibs swlibs
	touch $(STAMP_DIR)/SCR_DIR_glide3x

build: build.glide2 build.glide3
build.glide2: build.glide2.cvg build.glide2.h3
build.glide3: build.glide3.h3 build.glide3.h5

build.glide2.cvg: $(SRC_DIR)/glide2x $(STAMP_DIR)/build.glide2.cvg
$(STAMP_DIR)/build.glide2.cvg:
	$(MAKE) -C $(SRC_DIR)/glide2x -f makefile.linux FX_GLIDE_HW=cvg
	touch $(STAMP_DIR)/build.glide2.cvg

build.glide2.h3: $(SRC_DIR)/glide2x $(STAMP_DIR)/build.glide2.h3
$(STAMP_DIR)/build.glide2.h3:
	$(MAKE) -C $(SRC_DIR)/glide2x -f makefile.linux FX_GLIDE_HW=h3
	touch $(STAMP_DIR)/build.glide2.h3



build.glide3.h3: $(SRC_DIR)/glide3x $(STAMP_DIR)/build.glide3.h3
$(STAMP_DIR)/build.glide3.h3:
	(cd $(SRC_DIR)/glide3x; mkdir $(PWD)/debian/tmp.h3;\
	    ./chores.3dfx --generate "--configure=--enable-fx-glide-hw=h3 --prefix=$(PWD)/debian/tmp.h3/" --build=build.h3;		\
	    (cd build.h3; ./build.3dfx install;);	\
	)
	touch $(STAMP_DIR)/build.glide3.h3

build.glide3.h5: $(SRC_DIR)/glide3x $(STAMP_DIR)/build.glide3.h5
$(STAMP_DIR)/build.glide3.h5:
	(cd $(SRC_DIR)/glide3x; mkdir $(PWD)/debian/tmp.h5;\
	    ./chores.3dfx --generate "--configure=--enable-fx-glide-hw=h5 --prefix=$(PWD)/debian/tmp.h5/" --build=build.h5;		\
	    (cd build.h5; ./build.3dfx install;);	\
	)
	touch $(STAMP_DIR)/build.glide3.h5

sys-clean:
	cd $(SRC_DIR)/glide3x; ./chores.3dfx --clean
	rm -rf $(SRC_DIR)/glide3x/build.h3 $(PWD)/debian/tmp.h3
	rm -rf $(SRC_DIR)/glide3x/build.h5 $(PWD)/debian/tmp.h5
	rm -f $(STAMP_DIR)/build.glide2.* $(STAMP_DIR)/build.glide3.*
	$(MAKE) -C $(SRC_DIR)/glide2x -f makefile.linux FX_GLIDE_HW=cvg clobber
	$(MAKE) -C $(SRC_DIR)/glide2x -f makefile.linux FX_GLIDE_HW=h3 clobber

clean:
# No need to run clean
	$(MAKE) -f debian/sys-build.mk source.clean
	rm -f $(STAMP_DIR)
	rm -rf $(PWD)/debian/tmp.h3 $(PWD)/debian/tmp.h5
	dh_clean

binary-indep: build binary-libglide2-dev binary-glide2-base binary-libglide3-dev
# Add rules here to build the indep debs.

binary-arch: build binary-libglide2 binary-glide2-bin binary-libglide3
# Add rules here to build the arch debs.

binary: binary-indep binary-arch

binary-libglide2:
	DH_OPTIONS="-plibglide2" $(this) binary-libglide2-real

binary-libglide2-real: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs

	install -m 755 $(SRC_DIR)/glide2x/cvg/lib/libglide.so.2.53 \
		    $(PWD)/debian/libglide2/usr/lib/glide2/libglide_cvg.so.2.53
	install -m 755 $(SRC_DIR)/glide2x/h3/lib/libglide.so.2.60 \
		    $(PWD)/debian/libglide2/usr/lib/glide2/libglide_h3.so.2.60
	install -m 755 $(SRC_DIR)/glide2x/swlibs/lib/libtexus.so.1.1 \
		    $(PWD)/debian/libglide2/usr/lib/
	install -m 755 $(PWD)/debian/libglide2.conf \
		    $(PWD)/debian/libglide2/usr/lib/glide2/
	dh_strip

	dh_installdocs
	dh_installchangelogs
	dh_installdebconf
	dh_link
	dh_installdeb

	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-libglide2-dev:
	DH_OPTIONS="-plibglide2-dev" $(this) binary-libglide2-dev-real

binary-libglide2-dev-real: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs

	install -m 644 $(SRC_DIR)/glide2x/h3/include/glide.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/
	install -m 644 $(SRC_DIR)/glide2x/h3/include/glidesys.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/
	install -m 644 $(SRC_DIR)/glide2x/h3/include/glideutl.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/
	install -m 644 $(SRC_DIR)/glide2x/h3/include/sst1vid.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/
	install -m 644 $(SRC_DIR)/glide2x/h3/include/gump.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/

	install -m 644 $(SRC_DIR)/glide2x/swlibs/include/3dfx.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/
	install -m 644 $(SRC_DIR)/glide2x/swlibs/include/linutil.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/
	install -m 644 $(SRC_DIR)/glide2x/swlibs/include/texus.h \
			$(PWD)/debian/libglide2-dev/usr/include/glide/

	dh_strip

	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_installdeb

	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-glide2-bin:
	DH_OPTIONS="-pglide2-bin" $(this) binary-glide2-bin-real

binary-glide2-bin-real: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs

	install -m 755 $(SRC_DIR)/glide2x/h3/glide/tests/test[0-9][0-9] \
			$(PWD)/debian/glide2-bin/usr/lib/glide2/bin/
	install -m 755 $(SRC_DIR)/glide2x/cvg/bin/pass \
			$(PWD)/debian/glide2-bin/usr/bin/
	dh_strip

	dh_undocumented pass.8
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_installdeb

	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-glide2-base:
	DH_OPTIONS="-pglide2-base" $(this) binary-glide2-base-real

binary-glide2-base-real: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_strip
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_installdeb
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb


binary-libglide3:
	DH_OPTIONS="-plibglide3" $(this) binary-libglide3-real

binary-libglide3-real: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs

	install -m 755 $(PWD)/debian/tmp.h3/lib/libglide3.so.3.10.0	\
		$(PWD)/debian/libglide3/usr/lib/glide3/libglide3_h3.so.3.10.0
	install -m 755 $(PWD)/debian/tmp.h5/lib/libglide3.so.3.10.0	\
		$(PWD)/debian/libglide3/usr/lib/glide3/libglide3_h5.so.3.10.0
	install -m 755 $(PWD)/debian/libglide3.conf			\
		$(PWD)/debian/libglide3/usr/lib/glide3/

	dh_strip

	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_installdebconf
	dh_installdeb

	dh_compress
	dh_fixperms
#       dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-libglide3-dev:
	DH_OPTIONS="-plibglide3-dev" $(this) binary-libglide3-dev-real

binary-libglide3-dev-real: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs

	install -m 644 $(PWD)/debian/tmp.h5/include/glide3/* \
			$(PWD)/debian/libglide3-dev/usr/include/glide3/

	dh_strip

	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_installdeb

	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-glide3-bin:
	DH_OPTIONS="-pglide3-bin" $(this) binary-glide3-bin-real

binary-glide3-bin-real: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs

	install -m 755 $(SRC_DIR)/glide3x/h3/glide/tests/test[0-9][0-9] \
			$(PWD)/debian/glide3-bin/usr/lib/glide3/bin/
	dh_strip

	dh_undocumented pass.8
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_installdeb

	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

.PHONY: $(SRC_DIR)/glide2x

## glide 2002.04.10ds1

=== debian/changelog ===
glide (2002.04.10ds1-7) unstable; urgency=low

  * Use “-fdollars-in-identifiers -x assembler-with-cpp” instead of “-$” to
    preprocess assembler code through gcc, the later just stopped working
    recently.

 -- Guillem Jover <guillem@debian.org>  Mon, 01 Aug 2011 05:13:22 +0200

glide (2002.04.10ds1-6) unstable; urgency=low

  * Add build-indep and build-arch targets (rename build to build-arch).
  * Update debconf template translations:
    - Danish. Thanks to Joe Dalton <joedalton2@yahoo.dk>. (Closes: #590001)
    - Dutch. Thanks to Jeroen Schot <schot@A-Eskwadraat.nl>. (Closes: #629391)
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jul 2011 15:23:50 +0200

glide (2002.04.10ds1-5) unstable; urgency=low

  * Debconf template translations:
    - Update Vietnamese. (Closes: #548039)
      Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch target calls from debian/rules.
    - Remove now unneeded debian/README.source.
  * Remove duplicated source Section field from libglide2 and libglide3
    binary package stanzas.
  * Add md5sum control files to binary packages.
  * Now using Standards-Version 3.8.4 (no changes needed).
  * Switch libglide2-dev and libglide3-dev dependencies on libglide2 and
    libglide3 (respectively) to be strictly versioned. This was not done
    as historically the -dev packages were arch:all.
  * Add lintian overrides for “useless ldconfig calls”, as the symlink under
    /usr/lib to the actual backend only gets created at install time.

 -- Guillem Jover <guillem@debian.org>  Tue, 27 Apr 2010 02:11:41 +0200

glide (2002.04.10ds1-4) unstable; urgency=low

  * Debconf template translations:
    - Update Basque. (Closes: #530596)
      Thanks to Piarres Beobide <pi+debian@beobide.net>.
    - Update Spanish. (Closes: #532290)
      Thanks to Francisco Javier Cuadrado <fcocuadrado@gmail.com>.
    - Update Swedish. (Closes: #528573)
      Thanks to Martin Bagge <brother@bsnet.se>.
    - Update Finnish. (Closes: #533223)
      Thanks to Esko Arajärvi <edu@iki.fi>.
  * Unify debconf template translation headers.
  * Now using Standards-Version 3.8.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Thu, 10 Sep 2009 15:09:49 +0200

glide (2002.04.10ds1-3) unstable; urgency=low

  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Debconf templates and package descriptions reviewed by the
    debian-l10n-english team as part of the Smith review project.
    Thanks to Christian Perrier <bubulle@debian.org> for the coordination.
    (Closes: #524384)
  * Debconf template translations:
    - Update Czech. (Closes: #527376)
      Thanks to Michal Šimůnek <michal.simunek@gmail.com>.
    - Update French. (Closes: #527212)
      Thanks to Steve Petruzzello <dlist@bluewin.ch>.
    - Update Galician. (Closes: #527325)
      Thanks to Marce Villarino <mvillarino@gmail.com>.
    - Update German. (Closes: #527487)
      Thanks to Erik Schanze <schanzi_@gmx.de>.
    - Update Italian. (Closes: #526377)
      Thanks to Luca Monducci <luca.mo@tiscali.it>.
    - Update Japanese. (Closes: #525098)
      Thanks to Hideki Yamane <henrich@debian.or.jp>.
    - Update Portuguese. (Closes: #527324)
      Thanks to Américo Monteiro <a_monteiro@netcabo.pt>.
    - Update Russian. (Closes: #526755)
      Thanks to Sergey Alyoshin <alyoshin.s@gmail.com>.
  * Update debconf .po files from the .pot file.

 -- Guillem Jover <guillem@debian.org>  Sun, 10 May 2009 06:45:41 +0200

glide (2002.04.10ds1-2) unstable; urgency=low

  * Do not try to install glide2 libraries on non-i386.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Feb 2009 13:45:16 +0200

glide (2002.04.10ds1-1) unstable; urgency=low

  * Repackage upstream tarball to stop using tar-in-tar.
  * Demote glide2-bin from Recommends to Suggests in libglide2.
    (Closes: #504647)
  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Fix typo (llibglide → libglide) in libglide2-dev Conflicts field.
  * Refactor glide3 build code into a make define and use it for h3 and h5.
  * Switch from dbs to quilt:
    - Remove debian/vars.
    - Remove dbs and added quilt to Build-Depends.
    - Add new debian/patches/series file.
  * Update debian/rules for quilt:
    - Use CURDIR instead of SRC_DIR.
    - Include quilt.make.
    - Remove now unused debian/patch.mk.
    - Merge sys-clean into clean target.
    - Merge build.glide2.cvg and build.glide2.h3 into build.glide2.
    - Merge build.glide3.h3 and build.glide3.h5 into build.glide3.
    - Move swlibs symlinking into each build and clean target.
    - On clean patch and unpatch before the actual cleaning.
    - Remove now unused targets unpack and make-patch.
  * Refresh all patches with -pab.
  * Remove unused install.headers.glide2 target from debian/rules.
  * Merge all binary-<pkg> targets into binary-arch.
    - Add “-s” to debhelper commands.
    - Add “-Nglide2-bin -Nglide3-bin” to the general dh_shlibdeps call.
  * Use “#else” instead of “#elif”, fix a FTBFS with gcc-4.4. (Closes: #504838)
    Based on a patch by Martin Michlmayr <tbm@cyrius.com>.
  * Merge build.glide2 and build.glide3 into the build target.
  * Only clean glide2x directory on the same architectures where it's built.
  * Move file installation for glide2-bin, glide3-bin, libglide2-dev and
    libglide3-dev from debian/rules to .install files.
  * Move dh_strip after dh_link.
  * Install textures for test programs in glide2-bin.
  * Install additional test programs in glide2-bin.
  * Remove obsolete Conflicts, Provides and Replaces from binary packages.
  * Add missing ${misc:Depends} substvar to Depends fields.
  * Add a debian/README.source file.


=== debian/control ===
Source: glide
Section: libs
Priority: optional
Build-Depends: debhelper (>= 7), autoconf, automake,
 libtool (>= 1.5), libx11-dev, libxext-dev, libxxf86dga-dev, libxxf86vm-dev
Build-Conflicts: automake1.4
Maintainer: Guillem Jover <guillem@debian.org>
Homepage: http://glide.sf.net/
Vcs-Browser: http://git.hadrons.org/?p=debian/pkgs/glide.git
Vcs-Git: git://git.hadrons.org/git/debian/pkgs/glide.git
Standards-Version: 3.9.2

Package: glide2-bin
Section: graphics
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: device3dfx-module, device3dfx-source
Description: graphics library for 3Dfx Voodoo based cards - support programs
 This is a support package which should be installed if you use a
 card based on 3dfx Interactive, Inc's Voodoo chipsets.

Package: libglide2
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils
Suggests: glide2-bin, device3dfx-module, device3dfx-source
Description: graphics library for 3Dfx Voodoo based cards - shared libraries
 This package allows you to use the 3D functions of cards based on
 3dfx Interactive, Inc's Voodoo 2 chipsets. You should install it if
 you use such a card.
 .
 This package is not useful with Voodoo Banshee, Voodoo 3,
 Voodoo 4, or Voodoo 5 cards, and the original Voodoo Graphics chipset
 is no longer supported.
 .
 You'll need the 3dfx kernel driver to use this library.

Package: libglide2-dev
Section: libdevel
Architecture: i386
Depends: libglide2 (= ${binary:Version}), ${misc:Depends}
Description: graphics library for 3Dfx Voodoo based cards - development files
 This package contains the header files, example programs, and
 documentation necessary to develop software using libglide2.

Package: libglide3
Architecture: i386 alpha ia64 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, pciutils
Description: graphics library for 3Dfx Voodoo based cards - shared libraries
 This package allows you to use the 3D functions of cards based on
 3dfx Interactive, Inc's Voodoo Banshee, Voodoo 3, Voodoo 4, and
 Voodoo 5 chipsets.
 You should install it if you use such a card.
 .
 This package does not need the 3dfx kernel driver, as it uses DRI instead.

Package: libglide3-dev
Section: libdevel
Architecture: i386 alpha ia64 amd64
Depends: libglide3 (= ${binary:Version}), ${misc:Depends}
Description: graphics library for 3Dfx Voodoo based cards - development files
 This package contains the header files, example programs, and
 documentation necessary to develop software using libglide3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export FX_GLIDE_PIC = 1

glide2_build := $(MAKE) -C $(CURDIR)/glide2x -f makefile.linux
define glide3_build
( \
  cd $(CURDIR)/glide3x; \
  mkdir $(CURDIR)/debian/tmp.$(1); \
  ./chores.3dfx --generate "--configure=--enable-fx-glide-hw=$(1) \
    --prefix=/usr" --build-dir=build.$(1); \
  cd build.$(1); \
  ./build.3dfx --no-x DESTDIR="$(CURDIR)/debian/tmp.$(1)/" \
    CFLAGS="$(CFLAGS)" install; \
)
endef

pkg_dir := $(CURDIR)/debian

libglide2_dir := $(pkg_dir)/libglide2
libglide3_dir := $(pkg_dir)/libglide3

INSTALL=install
INSTALL_LIB=$(INSTALL) -m 644

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS = -g -Wall

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
ifeq ($(DEB_HOST_ARCH),alpha)
  CFLAGS += -O2 -mcpu=ev5 -fomit-frame-pointer \
	    -fexpensive-optimizations -mieee -DBIG_OPT
else
ifeq ($(DEB_HOST_ARCH),i386)
  CFLAGS += -O3 -march=i486 -fomit-frame-pointer -funroll-loops \
	    -fexpensive-optimizations -ffast-math -DBIG_OPT
else
  CFLAGS += -O2 -fomit-frame-pointer -fexpensive-optimizations -ffast-math \
	    -DBIG_OPT
endif
endif
endif

debian/po/templates.pot: debian/libglide2.templates debian/libglide3.templates
	@debconf-updatepo

build-indep:

build-arch: build-arch.stamp
build-arch.stamp: debian/po/templates.pot
ifeq ($(DEB_HOST_ARCH),i386)
	ln -fs ../swlibs glide2x/
	$(glide2_build) FX_GLIDE_HW=cvg CNODEBUG="$(CFLAGS)"
	$(glide2_build) FX_GLIDE_HW=h3 CNODEBUG="$(CFLAGS)"
endif
	ln -fs ../swlibs glide3x/
	$(call glide3_build,h3)
	$(call glide3_build,h5)
	
	touch $@

build: build-indep build-arch

clean:
ifeq ($(DEB_HOST_ARCH),i386)
	ln -fs ../swlibs glide2x/
	$(glide2_build) FX_GLIDE_HW=cvg clobber
	$(glide2_build) FX_GLIDE_HW=h3 clobber
	rm -f glide2x/swlibs
endif
	ln -fs ../swlibs glide3x/
	cd $(CURDIR)/glide3x; ./chores.3dfx --clean
	rm -f glide3x/swlibs
	
	rm -rf $(CURDIR)/glide3x/build.h3 $(CURDIR)/debian/tmp.h3
	rm -rf $(CURDIR)/glide3x/build.h5 $(CURDIR)/debian/tmp.h5
	rm -f *.stamp
	
	dh_clean

binary: binary-indep binary-arch

binary-indep:
	# Nothing to do.

binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep -s
	
	dh_installdirs -s
	
	# libglide2
ifeq ($(DEB_HOST_ARCH),i386)
	$(INSTALL_LIB) $(CURDIR)/glide2x/cvg/lib/libglide.so.2.53 \
		       $(libglide2_dir)/usr/lib/glide2/libglide_cvg.so.2.53
	$(INSTALL_LIB) $(CURDIR)/glide2x/h3/lib/libglide.so.2.60 \
		       $(libglide2_dir)/usr/lib/glide2/libglide_h3.so.2.60
	$(INSTALL_LIB) $(CURDIR)/glide2x/swlibs/lib/libtexus.so.1.1 \
		       $(libglide2_dir)/usr/lib/
endif
	
	# libglide3
	$(INSTALL_LIB) $(CURDIR)/debian/tmp.h3/usr/lib/libglide3.so.3.10.0 \
		       $(libglide3_dir)/usr/lib/glide3/libglide3_h3.so.3.10.0
	$(INSTALL_LIB) $(CURDIR)/debian/tmp.h5/usr/lib/libglide3.so.3.10.0 \
		       $(libglide3_dir)/usr/lib/glide3/libglide3_h5.so.3.10.0
	
	dh_install -s
	dh_installdocs -s
	dh_installchangelogs -s
	dh_installdebconf -s
	
	dh_lintian -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	
	dh_shlibdeps -s -Nglide2-bin -Nglide3-bin
	# XXX: We use $(CURDIR) instead of $(libglide2_dir) because we do not
	# ship in the .deb the symlink to the hardware specific library.
	# XXX: dh_shlibdeps forces the -l argument to be an absolute path
	# breaking the build, so pass LD_LIBRARY_PATH directly.
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/glide2x/h3/lib \
	  dh_shlibdeps -pglide2-bin -Llibglide2
	#dh_shlibdeps -pglide3-bin -Llibglide3 -l$(libglide3_dir)/usr/lib/
	
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

.PHONY: build-indep build-arch build clean binary binary-arch binary-indep
